package de.accso.flexinale.besucherportal.application.services;

import de.accso.flexinale.backoffice.api_contract.event.model.KinoTO;
import de.accso.flexinale.common.shared_kernel.Identifiable;

import java.util.List;

public class KinoService {

    private final FKKsVTInMemoryCache cache;

    public KinoService(final FKKsVTInMemoryCache cache) {
        this.cache = cache;
    }

    public List<KinoTO> kinos() {
        return cache.kinos();
    }

    public KinoTO kino(final Identifiable.Id id) {
        return cache.kino(id);
    }
}
